<?php
/*
Plugin Name: Restore Classic Widgets
Description: Description: Restore and enable the previous classic widgets settings screens and disables the Gutenberg block editor from managing widgets.
Version: 1.2
Author: Bill Minozzi
Author URI: http://billminozzi.com
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// Make sure the file is not directly accessible.
if (!defined('ABSPATH')) {
    die('We\'re sorry, but you can not directly access this file.');
}
	add_filter( 'gutenberg_use_widgets_block_editor', '__return_false' );
	add_filter( 'use_widgets_block_editor', '__return_false' );

	function wptools_custom_plugin_row_meta($links, $file)
{

	// var_dump($file);

    if (strpos($file, 'restore_classic_widgets.php') !== false) {
        /*
        $new_links = array(
            'OnLine Guide' => '<a href="http://wpmemoryplugin.com/help/" target="_blank">OnLine Guide</a>'
        );
        */
        $new_links['Pro'] = '<a href="https://wordpress.org/plugins/wptools/" target="_blank"><b><font color="#FF6600">Click To Get More 23 Free Tools</font></b></a>';
        $links = array_merge($links, $new_links);
    }
    return $links;
}
  add_filter('plugin_row_meta', 'wptools_custom_plugin_row_meta', 10, 2);
?>